package utils

import (
	"os"
	"os/signal"
	"syscall"
)

// Wait on most signals
func WaitForSignals() {
	sigs := make(chan os.Signal, 1)
	signal.Notify(sigs, syscall.SIGINT, syscall.SIGTERM, syscall.SIGHUP, syscall.SIGQUIT, syscall.SIGUSR1, syscall.SIGUSR2)

	for {
		<-sigs // blocks on any of the above signals.
		break
	}
}
