package cmdToken

import (
	nc "gitedu.hesge.ch/flg_projects/nexus_vdi/nexus/libclient/nexusclient"
	u "gitedu.hesge.ch/flg_projects/nexus_vdi/nexus/nexush/utils"
)

type Refresh struct {
	Name string
}

func (cmd *Refresh) GetName() string {
	return cmd.Name
}

func (cmd *Refresh) GetDesc() []string {
	return []string{
		"Obtains a new access token."}
}

func (cmd *Refresh) PrintUsage() {
	for _, desc := range cmd.GetDesc() {
		u.PrintlnErr(desc)
	}
	u.PrintlnErr("―――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――")
	u.PrintlnErr("USAGE: " + cmd.Name)
	u.PrintlnErr("―――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――――")
}

func (cmd *Refresh) Run(client *nc.NexusClient, args []string) int {
	if len(args) > 0 {
		cmd.PrintUsage()
		return 1
	}

	err := client.RefreshToken()
	if err != nil {
		u.PrintlnErr(err)
		return 1
	}
	return 0
}
