package utils

import (
	"github.com/sethvargo/go-password/password"
	"golang.org/x/crypto/bcrypt"
)

// Custom password generator with the following characters removed: 0, O, l, I
var CustomPwd, _ = password.NewGenerator(&password.GeneratorInput{
	LowerLetters: "abcdefghijkmnopqrstuvwxyz",
	UpperLetters: "ABCDEFGHJKLMNPQRSTUVWXYZ",
	Digits:       "123456789",
})

// Returns a hash of the "clear" password passed in argument.
func HashPassword(pwd string) string {
	// Uses bcrypt to hash the password.
	hashedPwd, _ := bcrypt.GenerateFromPassword([]byte(pwd), bcrypt.DefaultCost)
	return string(hashedPwd)
}
